Create a webhook subscription
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: []})
};
fetch('https://getoverlay.io/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: []})
};
fetch('https://getoverlay.io/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/webhooks \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"url": "<string>",
"events": []
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Webhooks
Create a webhook subscription
POST
/
api
/
v1
/
webhooks
Create a webhook subscription
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: []})
};
fetch('https://getoverlay.io/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: []})
};
fetch('https://getoverlay.io/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/webhooks \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"url": "<string>",
"events": []
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Body
application/json
Minimum array length:
1Available options:
chat.completed, chat.failed, automation.finished, automation.failed Maximum string length:
500Minimum string length:
1Minimum string length:
1Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.